cURL
curl --request PATCH \
--url https://api.example.com/api/projects/{id}/call-registry/profile \
--header 'Content-Type: application/json' \
--data '
{
"autoRegisterNumbers": true,
"lineType": "<string>",
"type": "<string>",
"claim": "<string>",
"companyName": "<string>",
"companyAddressLine1": "<string>",
"companyAddressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"companyURL": "<string>",
"contactName": "<string>",
"contactPhone": "<string>",
"contactEmail": "<string>",
"secondContactEmail": "<string>",
"category": "<string>",
"callCount": "<string>",
"explanation": "<string>"
}
'import requests
url = "https://api.example.com/api/projects/{id}/call-registry/profile"
payload = {
"autoRegisterNumbers": True,
"lineType": "<string>",
"type": "<string>",
"claim": "<string>",
"companyName": "<string>",
"companyAddressLine1": "<string>",
"companyAddressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"companyURL": "<string>",
"contactName": "<string>",
"contactPhone": "<string>",
"contactEmail": "<string>",
"secondContactEmail": "<string>",
"category": "<string>",
"callCount": "<string>",
"explanation": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
autoRegisterNumbers: true,
lineType: '<string>',
type: '<string>',
claim: '<string>',
companyName: '<string>',
companyAddressLine1: '<string>',
companyAddressLine2: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
companyURL: '<string>',
contactName: '<string>',
contactPhone: '<string>',
contactEmail: '<string>',
secondContactEmail: '<string>',
category: '<string>',
callCount: '<string>',
explanation: '<string>'
})
};
fetch('https://api.example.com/api/projects/{id}/call-registry/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/projects/{id}/call-registry/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'autoRegisterNumbers' => true,
'lineType' => '<string>',
'type' => '<string>',
'claim' => '<string>',
'companyName' => '<string>',
'companyAddressLine1' => '<string>',
'companyAddressLine2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'zip' => '<string>',
'companyURL' => '<string>',
'contactName' => '<string>',
'contactPhone' => '<string>',
'contactEmail' => '<string>',
'secondContactEmail' => '<string>',
'category' => '<string>',
'callCount' => '<string>',
'explanation' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/projects/{id}/call-registry/profile"
payload := strings.NewReader("{\n \"autoRegisterNumbers\": true,\n \"lineType\": \"<string>\",\n \"type\": \"<string>\",\n \"claim\": \"<string>\",\n \"companyName\": \"<string>\",\n \"companyAddressLine1\": \"<string>\",\n \"companyAddressLine2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip\": \"<string>\",\n \"companyURL\": \"<string>\",\n \"contactName\": \"<string>\",\n \"contactPhone\": \"<string>\",\n \"contactEmail\": \"<string>\",\n \"secondContactEmail\": \"<string>\",\n \"category\": \"<string>\",\n \"callCount\": \"<string>\",\n \"explanation\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/projects/{id}/call-registry/profile")
.header("Content-Type", "application/json")
.body("{\n \"autoRegisterNumbers\": true,\n \"lineType\": \"<string>\",\n \"type\": \"<string>\",\n \"claim\": \"<string>\",\n \"companyName\": \"<string>\",\n \"companyAddressLine1\": \"<string>\",\n \"companyAddressLine2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip\": \"<string>\",\n \"companyURL\": \"<string>\",\n \"contactName\": \"<string>\",\n \"contactPhone\": \"<string>\",\n \"contactEmail\": \"<string>\",\n \"secondContactEmail\": \"<string>\",\n \"category\": \"<string>\",\n \"callCount\": \"<string>\",\n \"explanation\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/projects/{id}/call-registry/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"autoRegisterNumbers\": true,\n \"lineType\": \"<string>\",\n \"type\": \"<string>\",\n \"claim\": \"<string>\",\n \"companyName\": \"<string>\",\n \"companyAddressLine1\": \"<string>\",\n \"companyAddressLine2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip\": \"<string>\",\n \"companyURL\": \"<string>\",\n \"contactName\": \"<string>\",\n \"contactPhone\": \"<string>\",\n \"contactEmail\": \"<string>\",\n \"secondContactEmail\": \"<string>\",\n \"category\": \"<string>\",\n \"callCount\": \"<string>\",\n \"explanation\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyCall Registry
Patch apiprojects call registryprofile
PATCH
/
api
/
projects
/
{id}
/
call-registry
/
profile
cURL
curl --request PATCH \
--url https://api.example.com/api/projects/{id}/call-registry/profile \
--header 'Content-Type: application/json' \
--data '
{
"autoRegisterNumbers": true,
"lineType": "<string>",
"type": "<string>",
"claim": "<string>",
"companyName": "<string>",
"companyAddressLine1": "<string>",
"companyAddressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"companyURL": "<string>",
"contactName": "<string>",
"contactPhone": "<string>",
"contactEmail": "<string>",
"secondContactEmail": "<string>",
"category": "<string>",
"callCount": "<string>",
"explanation": "<string>"
}
'import requests
url = "https://api.example.com/api/projects/{id}/call-registry/profile"
payload = {
"autoRegisterNumbers": True,
"lineType": "<string>",
"type": "<string>",
"claim": "<string>",
"companyName": "<string>",
"companyAddressLine1": "<string>",
"companyAddressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"companyURL": "<string>",
"contactName": "<string>",
"contactPhone": "<string>",
"contactEmail": "<string>",
"secondContactEmail": "<string>",
"category": "<string>",
"callCount": "<string>",
"explanation": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
autoRegisterNumbers: true,
lineType: '<string>',
type: '<string>',
claim: '<string>',
companyName: '<string>',
companyAddressLine1: '<string>',
companyAddressLine2: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
companyURL: '<string>',
contactName: '<string>',
contactPhone: '<string>',
contactEmail: '<string>',
secondContactEmail: '<string>',
category: '<string>',
callCount: '<string>',
explanation: '<string>'
})
};
fetch('https://api.example.com/api/projects/{id}/call-registry/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/projects/{id}/call-registry/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'autoRegisterNumbers' => true,
'lineType' => '<string>',
'type' => '<string>',
'claim' => '<string>',
'companyName' => '<string>',
'companyAddressLine1' => '<string>',
'companyAddressLine2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'zip' => '<string>',
'companyURL' => '<string>',
'contactName' => '<string>',
'contactPhone' => '<string>',
'contactEmail' => '<string>',
'secondContactEmail' => '<string>',
'category' => '<string>',
'callCount' => '<string>',
'explanation' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/projects/{id}/call-registry/profile"
payload := strings.NewReader("{\n \"autoRegisterNumbers\": true,\n \"lineType\": \"<string>\",\n \"type\": \"<string>\",\n \"claim\": \"<string>\",\n \"companyName\": \"<string>\",\n \"companyAddressLine1\": \"<string>\",\n \"companyAddressLine2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip\": \"<string>\",\n \"companyURL\": \"<string>\",\n \"contactName\": \"<string>\",\n \"contactPhone\": \"<string>\",\n \"contactEmail\": \"<string>\",\n \"secondContactEmail\": \"<string>\",\n \"category\": \"<string>\",\n \"callCount\": \"<string>\",\n \"explanation\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/projects/{id}/call-registry/profile")
.header("Content-Type", "application/json")
.body("{\n \"autoRegisterNumbers\": true,\n \"lineType\": \"<string>\",\n \"type\": \"<string>\",\n \"claim\": \"<string>\",\n \"companyName\": \"<string>\",\n \"companyAddressLine1\": \"<string>\",\n \"companyAddressLine2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip\": \"<string>\",\n \"companyURL\": \"<string>\",\n \"contactName\": \"<string>\",\n \"contactPhone\": \"<string>\",\n \"contactEmail\": \"<string>\",\n \"secondContactEmail\": \"<string>\",\n \"category\": \"<string>\",\n \"callCount\": \"<string>\",\n \"explanation\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/projects/{id}/call-registry/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"autoRegisterNumbers\": true,\n \"lineType\": \"<string>\",\n \"type\": \"<string>\",\n \"claim\": \"<string>\",\n \"companyName\": \"<string>\",\n \"companyAddressLine1\": \"<string>\",\n \"companyAddressLine2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip\": \"<string>\",\n \"companyURL\": \"<string>\",\n \"contactName\": \"<string>\",\n \"contactPhone\": \"<string>\",\n \"contactEmail\": \"<string>\",\n \"secondContactEmail\": \"<string>\",\n \"category\": \"<string>\",\n \"callCount\": \"<string>\",\n \"explanation\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyPath Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Response
default
This operation does not declare a response schema.
Was this page helpful?
⌘I